Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.bean
Class MailInformation

    java.lang.Object
      jet.bean.MailInformation

All Implemented Interfaces:
  java.io.Serializable

    public class MailInformation

extends java.lang.Object
implements java.io.Serializable

A `MailInformation` object contains a complete information for a mail

See Also:
  Serialized Form

Field Summary
`static int` | `HIDDEN` Indicates the html text overflow type is HIDDEN.
`static int` | `HTMLFILE` The constant indicating that html format file as the mail attached file(s)
`static int` | `HTMLMAIL` The constant indicating that html file in mail body
`static int` | `IE` browser type
`static int` | `NETSCAPE` browser type
`static int` | `PDFFILE` The constant indicating that Pdf format file as the mail attached file
`static int` | `PLAINTXT` The constant indicating that the text format file as the mail attached file, the file can be a normal text or delimited text by invoking this method `jet.bean.TextParameter.setNormalTextFile(boolean)` to specify which format text would be produced
`static int` | `PRECISION_ANY` The constant indicating that the layout precise is any value, low or high
`static int` | `PRECISION_HIGH` The constant indicating that the layout precise is high
`static int` | `PRECISION_LOW` The constant indicating that the layout precise is low
`static int` | `PSFILE` The constant indicating that postscript format file as the mail attached file
`static int` | `RSTFILE` The constant indicating that Rst format file as the mail attached file
`static int` | `RTFFILE` The constant indicating that Rtf format file as the mail attached file
`static int` | `TXTMAIL` The constant indicating that Text file in mail body
`static int` | `VISIBLE` Indicates the html text overflow type is VISIBLE.
`static int` | `XLSFILE` The constant indicating that excel format file as the mail attached file
`static int` | `XMLFILE` The constant indicating that xml format file(s) as the mail attached file

Constructor Summary
`MailInformation()` Constructs a new `MailInformation` object and invoke other set method to set another paramter for export to mail needed
`MailInformation(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments)` Constructs a new `MailInformation` object with the following parameters and invoke the following set method to set the attached file parameter
`MailInformation(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean archiveCompress, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean hyperlink, boolean pageno, boolean absolute, boolean bincdrilldownfile, boolean noMarginHtml, int browser, int udchWidth, int udchHeight, int resolution, boolean compress, boolean bRepeat, boolean quoteMark, boolean hasHeadFoot, char delimiter, boolean noMarginPDF, boolean isPrintMode, boolean isTransparent, int isCompressImage, boolean noMarginPS, boolean noMarginRTF, boolean isOnlyData, java.lang.String xsdFile, int isWordWrap, boolean isBiff8, boolean bToc, boolean bDrill, java.lang.String encoding)` Deprecated. please use MailInformation() or MailInformation(String, String, String, String, String, String)

Method Summary
`void` | `clear()` clear another file instance
`MailInformation` | `copy()` Add this method for server group invoke it
`java.lang.String` | `getBlindCarbonCopy()` Gets the mail address of the blind copy recipient.
`java.lang.String` | `getCarbonCopy()` Gets the mail address of the carbon copy recipient.
`java.lang.String` | `getComments()` Gets text string for memoire.
`java.lang.String` | `getEncoding()` Gets the encoding of the mail.
`ExcelParameter` | `getExcelParameter()` get the excel parameter, it include the parameter when produce excel file needed
`java.lang.String` | `getFilename()` Gets the compressed filename
`java.lang.String` | `getFileName(int format)` according to the format get the filename
`java.lang.String` | `getFilenameFmt()` for server store the zip(template) name
`java.lang.String` | `getFolder()` Gets the directory of saved files.
`HtmlParameter` | `getHtmlParameter(int type)` get the html parameter, it include the parameter when produce html file needed
`long` | `getLimitSize()` Gets the limited file length
`java.lang.String[]` | `getMailAuthencatorMessage()` get the mail authencator message
`java.lang.String` | `getMailFileNameFmt(int format)` Only for inner group to store the template name, please another group do not invoke it
`boolean` | `getMailFormat(int format)` get the flag whether this format is mailbody or attached file
`java.lang.String` | `getMailFrom()` Gets the mail address of the sender.
`java.lang.String` | `getMailTo()` Gets the mail address of the mail recipient.
`java.util.Vector` | `getOtherAttachedFile()` get another attached files
`PDFParameter` | `getPDFParameters()` get the pdf parameter, it include the parameter when produce pdf file needed
`int` | `getPrecise(int format)` get the flag which index format file precise value, its value should be: PRECISION_HIGHPRECISION_LOWPRECISION_ANY
`PSParameter` | `getPSParameter()` get the ps parameter, it include the parameter when produce ps file needed
`java.lang.String` | `getRSTFileName()` Get the rst file name
`RtfParameter` | `getRtfParameter()` get the rtf parameter, it include the parameter when produce rtf file needed
`java.lang.String` | `getSubject()` Gets the mail subject.
`TextParameter` | `getTextParameter(int format)` get the text parametr according to the format
`java.lang.String` | `getURL()` Deprecated. This method is not used, now. Next version will remove it. If you have some question, please contact with sales
`XmlParameter` | `getXmlParameter()` get the xml parameter, it include the parameter when produce xml file needed
`boolean` | `isArchiveCompress()`
`boolean` | `isAuthencator()` Index whether send mail with authencator format
`boolean` | `isCompressedRST()` get the flag that identify the RST file is compressed format or not
`boolean` | `isRSTFile()` Identify whether the attached file include RST file or not
`boolean` | `isSendNotice()` Gets that whether send a mail to notice user
`boolean` | `isSentMail()` Gets that whether has sent the mail with attachment
`void` | `setAbsoluteFontSize(boolean absolute)` Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method
`void` | `setArchiveCompress(boolean archiveCompress)` Sets whether or not to compress mail attached by using java compress utilities.
`void` | `setAuthencatorMessage(java.lang.String username, java.lang.String passWord, java.lang.String fromAddress)` Set the authencator message, if you invoke this method will use authencator format, so if SMTP don't need authencator format, please do not invoke this method, otherwise may be can not send successfully
`void` | `setBlindCarbonCopy(java.lang.String bcc)` Sets the mail address of the blind copy recipient.
`void` | `setBrowser(int browser)` Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method
`void` | `setCarbonCopy(java.lang.String cc)` Sets the mail address of the carbon copy recipient.
`void` | `setCharHeight(int udchHeight)` Deprecated. please use setTextParameter(TextParameter) replace this method
`void` | `setChartappletHtml(boolean bChartApplet)` Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method
`void` | `setCharWidth(int udchWidth)` Deprecated. please use setTextParameter(TextParameter) replace this method
`void` | `setComments(java.lang.String comments)` Sets text string for memoire.
`void` | `setCompressImage(int isCompressImage)` Deprecated. please use setPDFParameters(PDFParameter) replace this method
`void` | `setCompressText(boolean compress)` Deprecated. please use setTextParameter(TextParameter) replace this method
`void` | `setDelimiter(char delimiter)` Deprecated. please use setTextParameter(TextParameter) replace this method
`void` | `setDrill(boolean bDrill)` Deprecated. please use setPDFParameters(PDFParameter) replace this method
`void` | `setDrillDownHtml(boolean bincdrilldownfile)` Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method
`void` | `setEncoding(java.lang.String encoding)` Sets the encoding of the mail.
`void` | `setExcelParam(int param)` Deprecated. please use setExcelParameter(ExcelParameter) replace this method
`void` | `setExcelParameter(ExcelParameter excelParameter)` set the excel parameter, it include the parameter when produce excel file needed
`void` | `setExcelParameter(java.lang.String filename, ExcelParameter excelParameter)` set the filename and its parameter to the excel file
`void` | `setFilename(java.lang.String filename)` Sets the compressed attached file name
`void` | `setFilenameFmt(java.lang.String filenameFmt)` for server store the zip(template) name
`void` | `setFolder(java.lang.String folder)` Sets the path saved files.
`void` | `setForWindows(boolean forWindows)` Deprecated. please use setTextParameter(TextParameter) replace this method
`void` | `setHtmlChartImageFormat(int chartImageFormatType)` Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method
`void` | `setHtmlParameter(int type, HtmlParameter htmlParameter)` Set the html parameter, it include the parameter when produce html file needed
`void` | `setHtmlParameter(int type, java.lang.String fileName, HtmlParameter htmlParameter)` set the html parameter and the fileName
`void` | `setHtmlResolution(int resolution)` Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method
`void` | `setHyperlink(boolean hyperlink)` Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method
`void` | `setIsBiff8(boolean isBiff8)` Deprecated. please use setExcelParameter(ExcelParameter) replace this method
`void` | `setKeepHeadFoot(boolean hasHeadFoot)` Deprecated. please use setTextParameter(TextParameter) replace this method
`void` | `setLimitSize(long smtpMaxSize)` Sets the total limited file length, if the length of all attached files is greater than the specify value, the files will not be sent out.
`void` | `setMailFileNameFmt(int format, java.lang.String fileNameFmt)` Only for inner group to store the template name, please another group do not invoke it
`void` | `setMailFormat(int format, boolean value)` Sets the format of the mail.
`void` | `setMailFrom(java.lang.String from)` Sets the mail address of the sender.
`void` | `setMailTo(java.lang.String rcpt)` Sets the mail address of the recipient.
`void` | `setMultiFileHtml(boolean isMultiFile)` Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method
`void` | `setNoMarginHtml(boolean noMarginHtml)` Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method
`void` | `setNoMarginPDF(boolean noMarginPDF)` Deprecated. please use setPDFParameters(PDFParameter) replace this method
`void` | `setNoMarginPS(boolean noMarginPS)` Deprecated. please use setPSParameter(PSParameter) replace this method
`void` | `setNoMarginRTF(boolean noMarginRTF)` Deprecated. please use setRtfParameter(RtfParameter) replace this method
`void` | `setOnlyDataXML(boolean isOnlyData)` Deprecated. please use setXmlParameter(XmlParameter) replace this method
`void` | `setOtherAttachedFile(java.util.Vector other)` set another file, like version file RST file
`void` | `setOverflowType(int overflowType)` Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method
`void` | `setPageNumber(boolean pageno)` Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method
`void` | `setPDFParameters(PDFParameter pdfParameter)` Set the pdf parameter, it include the parameter when produce pdf file needed
`void` | `setPDFParameters(java.lang.String fileName, PDFParameter pdfParameter)` set the pdf parameter and the file name
`void` | `setPdfPassword(java.lang.String pdfPassword)` Deprecated. please use setPDFParameters(PDFParameter) replace this method
`void` | `setPrecise(int format, int precise)` set the flag precise to the format, its value must be: PRECISION_HIGHPRECISION_LOWPRECISION_ANY
`void` | `setPrintModePDF(boolean isPrintMode)` Deprecated. please use setPDFParameters(PDFParameter) replace this method
`void` | `setPSParameter(PSParameter psParameter)` set the ps parameter, it include the parameter when produce ps file needed
`void` | `setPSParameter(java.lang.String fileName, PSParameter psParameter)` set the ps parameter and the fileName
`void` | `setQuoteMark(boolean quoteMark)` Deprecated. please use setTextParameter(TextParameter) replace this method
`void` | `setRepeatText(boolean bRepeat)` Deprecated. please use setTextParameter(TextParameter) replace this method
`void` | `setResolution(int resolution)` Deprecated. please use setTextParameter(TextParameter) replace this method
`void` | `setRstAsCompressed(boolean isCompress)` set the flag that export the report as compressed format
`void` | `setRSTFileName(java.lang.String rstFileName)` set the rst file name
`void` | `setRtfParameter(RtfParameter rtfParameter)` set the rtf parameter, it include the parameter when produce rtf file needed
`void` | `setRtfParameter(java.lang.String fileName, RtfParameter rtfParameter)` set the rtf parameter and the file name
`void` | `setSendNotice(boolean bSendNotice)` Indicates that whether send a mail to notice user or not
`void` | `setSentMail(boolean isMailSend)` Indicates that whether has sent the mail with attachment.
`void` | `setSubject(java.lang.String subject)` Sets the mail subject.
`void` | `setTableFormatHtml(boolean bUsingTable)` Deprecated. this function have been removed it
`void` | `setTextParameter(int format, java.lang.String fileName, TextParameter textParamter)` set the text paramter and the file name
`void` | `setTextParameter(java.lang.String fileName, TextParameter textParameter)` Deprecated. please use this method setTextParamter(int, String, TextParameter) replace it
`void` | `setTextParameter(TextParameter textParameter)` Deprecated. please use this method setTextParamter(int, String, TextParameter) replace it
`void` | `setToc(boolean bToc)` Deprecated. please use setPDFParameters(PDFParameter) replace this method
`void` | `setTransparentImage(boolean isTransparent)` Deprecated. please use setPDFParameters(PDFParameter) replace this method
`void` | `setURL(java.lang.String url)` Deprecated. This method is not used, now. Next version will remove it. If you have some question, please contact with sales
`void` | `setWordWrap(int isWordWrap)` Deprecated. please use setExcelParameter(ExcelParameter) replace this method
`void` | `setXmlParameter(java.lang.String fileName, XmlParameter xmlParameter)` set the xml parameter and the fileName
`void` | `setXmlParameter(XmlParameter xmlParameter)` set the xml parameter, it include the parameter when produce xml file needed
`boolean` | `setXSDFile(java.lang.String xsdFile)` Deprecated. please use setXmlParameter(XmlParameter) replace this method

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IE

    public static final int IE

  browser type

### NETSCAPE

    public static final int NETSCAPE

  browser type

### VISIBLE

    public static final int VISIBLE

  Indicates the html text overflow type is VISIBLE.

### HIDDEN

    public static final int HIDDEN

  Indicates the html text overflow type is HIDDEN.

### PRECISION_HIGH

    public static final int PRECISION_HIGH

  The constant indicating that the layout precise is high

  This constant is used by the method `setPrecise`

  See Also:
    Constant Field Values

### PRECISION_LOW

    public static final int PRECISION_LOW

  The constant indicating that the layout precise is low

  This constant is used by the method `setPrecise`

  See Also:
    Constant Field Values

### PRECISION_ANY

    public static final int PRECISION_ANY

  The constant indicating that the layout precise is any value, low or high

  This constant is used by the method `setPrecise`

  See Also:
    Constant Field Values

### HTMLMAIL

    public static final int HTMLMAIL

  The constant indicating that html file in mail body

  This constant is used by the method `setHtmlParameter` and `setMailFormat`

  Note: If HTMLMAIL and TXTMAIL are set at the same time, the HTMLMAIL will be replaced by TXTMAIL format.

  See Also:
    `TXTMAIL`

### PLAINTXT

    public static final int PLAINTXT

  The constant indicating that the text format file as the mail attached file, the file can be a normal text or delimited text by invoking this method `jet.bean.TextParameter.setNormalTextFile(boolean)` to specify which format text would be produced

  This constant is used by the method `setTextParameter` and `setMailFormat`

  See Also:
    `TextParameter`

### HTMLFILE

    public static final int HTMLFILE

  The constant indicating that html format file as the mail attached file(s)

  This constant is used by the method `setHtmlParameter` and `setMailFormat`

### PDFFILE

    public static final int PDFFILE

  The constant indicating that Pdf format file as the mail attached file

  This constant is used by the method `setMailFormat`

### RSTFILE

    public static final int RSTFILE

  The constant indicating that Rst format file as the mail attached file

  This constant is used by the method `setMailFormat`

### PSFILE

    public static final int PSFILE

  The constant indicating that postscript format file as the mail attached file

  This constant is used by the method `setMailFormat`

### XLSFILE

    public static final int XLSFILE

  The constant indicating that excel format file as the mail attached file

  This constant is used by the method `setMailFormat`

### RTFFILE

    public static final int RTFFILE

  The constant indicating that Rtf format file as the mail attached file

  This constant is used by the method `setMailFormat`

### XMLFILE

    public static final int XMLFILE

  The constant indicating that xml format file(s) as the mail attached file

  This constant is used by the method `setMailFormat`

### TXTMAIL

    public static final int TXTMAIL

  The constant indicating that Text file in mail body

  This constant is used by the method `setTextParameter` and `setMailFormat`

  Note: If HTMLMAIL and TXTMAIL are selected at the same time, the HTMLMAIL will be replaced by TXTMAIL format.

  See Also:
    `HTMLMAIL`

Constructor Detail

### MailInformation

    public MailInformation()

  Constructs a new `MailInformation` object and invoke other set method to set another paramter for export to mail needed

  Note: You must invoke these method `setMailTo(String)`, `setCarbonCopy(String)` or `setBlindCarbonCopy(String)` to set the mail address

  See Also:
    `setMailFrom(String)`, `setMailTo(String)`, `setCarbonCopy(String)`, `setBlindCarbonCopy(String)`, `setSubject(String)`, `setComments(String)`, `setHtmlParameter(int, HtmlParameter)`, `setHtmlParameter(int, String, HtmlParameter)`, `setPDFParameters(PDFParameter)`, `setPDFParameters(String, PDFParameter)`, `setTextParameter(int, String, TextParameter)`, `setPSParameter(PSParameter)`, `setPSParameter(String, PSParameter)`, `setXmlParameter(XmlParameter)`, `setXmlParameter(String, XmlParameter)`, `setExcelParameter(ExcelParameter)`, `setExcelParameter(String, ExcelParameter)`, `setRtfParameter(RtfParameter)`, `setRtfParameter(String, RtfParameter)`

### MailInformation

    public MailInformation(java.lang.String from,
                           java.lang.String rcpt,
                           java.lang.String cc,
                           java.lang.String bcc,
                           java.lang.String subject,
                           java.lang.String comments)

  Constructs a new `MailInformation` object with the following parameters and invoke the following set method to set the attached file parameter

  Parameters:
    `from` - the address of the sender
    `rcpt` - the address of the receipt
    `cc` - copy to address
    `bcc` - blind copy to address
    `subject` - the mail subject
    `comments` - any text string for memoire

    Note:If the HTMLMAIL format is selected, the comments will be ignored

  See Also:
    `setHtmlParameter(int, HtmlParameter)`, `setHtmlParameter(int, String, HtmlParameter)`, `setPDFParameters(PDFParameter)`, `setPDFParameters(String, PDFParameter)`, `setTextParameter(int, String, TextParameter)`, `setPSParameter(PSParameter)`, `setPSParameter(String, PSParameter)`, `setXmlParameter(XmlParameter)`, `setXmlParameter(String, XmlParameter)`, `setExcelParameter(ExcelParameter)`, `setExcelParameter(String, ExcelParameter)`, `setRtfParameter(RtfParameter)`, `setRtfParameter(String, RtfParameter)`

### MailInformation

    public MailInformation(java.lang.String from,
                           java.lang.String rcpt,
                           java.lang.String cc,
                           java.lang.String bcc,
                           java.lang.String subject,
                           java.lang.String comments,
                           boolean archiveCompress,
                           boolean bChartApplet,
                           boolean isMultiFile,
                           boolean bUsingTable,
                           boolean hyperlink,
                           boolean pageno,
                           boolean absolute,
                           boolean bincdrilldownfile,
                           boolean noMarginHtml,
                           int browser,
                           int udchWidth,
                           int udchHeight,
                           int resolution,
                           boolean compress,
                           boolean bRepeat,
                           boolean quoteMark,
                           boolean hasHeadFoot,
                           char delimiter,
                           boolean noMarginPDF,
                           boolean isPrintMode,
                           boolean isTransparent,
                           int isCompressImage,
                           boolean noMarginPS,
                           boolean noMarginRTF,
                           boolean isOnlyData,
                           java.lang.String xsdFile,
                           int isWordWrap,
                           boolean isBiff8,
                           boolean bToc,
                           boolean bDrill,
                           java.lang.String encoding)

  Deprecated. please use MailInformation() or MailInformation(String, String, String, String, String, String)

  Parameters:
    `from` - the address of the sender
    `rcpt` - the address of the receipt
    `cc` - carbon copy to address
    `bcc` - blind copy to address
    `subject` - the mail subject
    `comments` - any text string for memoire
    `archiveCompress` - indicates whether use java compress utilities to compress mail contents
    `bChartApplet` - create chart as applet or image in html file
    `isMultiFile` - generate multi=page or single page html file
    `bUsingTable` - generate table format html file
    `hyperlink` - create hyperlink in html when the html file is single page format.
    `pageno` - display page number in html when the html file is single page format.
    `absolute` - indicates the font size of html file is absolute or relative.
    `bincdrilldownfile` - indicates whether create drilldowned html files
    `noMarginHtml` - indicate that export html file without page Margin
    `browser` - The browser is IE or NETSCAPE
    `udchWidth` - the width for each unit of the width clearance between columns.
    `udchHeight` - the height for each unit of the height clearance between columns.
    `resolution` - set resolution for text file.
    `compress` - remove empty lines or redundant delimiters in the exported text file.
    `bRepeat` - indicates whether to repeat the same contents in text file.
    `quoteMark` - indicate whether to keep the quote character in standard format text or not
    `hasHeadFoot` - indicate that include the header and footer object when the text file as mail attached file
    `delimiter` - the delimiter used in the SDF(Standard Data Format) format text.
    `noMarginPDF` - indicate that export PDF file without page Margin
    `isPrintMode` - indicates to generate the pdf file use simulated print mode.
    `isTransparent` - indicates to generate the pdf file keep transparent gif image.
    `isCompressImage` - indicatess the image compress rate to generate the pdf file.
    `noMarginPS` - indicate that export Post Script file without page Margin
    `noMarginRTF` - indicate that export RTF file without page Margin
    `isOnlyData` - indicate only database column information to XML file, else all the detailed information of the report, including all the property value of each report object will be exported.
    `encoding` - mail encoding
    `xsdFile` - base the specified xsd output xml file.
  See Also:
    `MailInformation()`, `MailInformation(String, String, String, String, String, String)`

Method Detail

### setAuthencatorMessage

    public final void setAuthencatorMessage(java.lang.String username,
                                            java.lang.String passWord,
                                            java.lang.String fromAddress)

  Set the authencator message, if you invoke this method will use authencator format, so if SMTP don't need authencator format, please do not invoke this method, otherwise may be can not send successfully

  Parameters:
    `username` - the logon SMTP server user name
    `passWord` - the logon SMTP password
    `fromAddress` - the user mail address in this SMTP server
  Since:
    V8.0

### getMailAuthencatorMessage

    public final java.lang.String[] getMailAuthencatorMessage()

  get the mail authencator message

  Returns:
    get the authencator message

### isAuthencator

    public final boolean isAuthencator()

  Index whether send mail with authencator format

  Returns:
    true use the authencator format

### setMailFormat

    public void setMailFormat(int format,
                              boolean value)

  Sets the format of the mail.

  Parameters:
    `format` - available choice are :
    - HTMLMAIL, html mail
    - HTMLFILE, html files mail
    - TXTMAIL, plain text mail
    - PLAINTXT, text file mail
    - RSTFILE, rst file mail
    - RTFFILE, RTF format file mail
    - XLSFILE,Excel format file mail
    - XMLFILE, XML file mail
    - PSFILE, Postscript file mail
    `value` - true, set it as this format, false, cancel it
  See Also:
    `HTMLMAIL`, `HTMLFILE`, `TXTMAIL`, `PLAINTXT`, `RSTFILE`, `RTFFILE`, `XLSFILE`, `XMLFILE`, `PSFILE`

### setPrecise

    public void setPrecise(int format,
                           int precise)

  set the flag precise to the format, its value must be:
  - PRECISION_HIGH
  - PRECISION_LOW
  - PRECISION_ANY

  Parameters:
    `format` - the mail body or the attached file format
    `precise` - an `int` specifying the layout precise; one of `MailInformation.PRECISION_HIGH`, `MailInformation.PRECISION_LOW`, or `MailInformation.PRECISION_ANY`. the default value is PRECISION_ANY
  Since:
    V8.1
  See Also:
    `PRECISION_HIGH`, `PRECISION_LOW`, `PRECISION_ANY`

### getPrecise

    public int getPrecise(int format)

  get the flag which index format file precise value, its value should be:
  - PRECISION_HIGH
  - PRECISION_LOW
  - PRECISION_ANY

  Parameters:
    `format` - the mail body or the attached file format
  Returns:
    the flag specify the precise of this format using
  See Also:
    `PRECISION_HIGH`, `PRECISION_LOW`, `PRECISION_ANY`

### setMailFileNameFmt

    public void setMailFileNameFmt(int format,
                                   java.lang.String fileNameFmt)

  Only for inner group to store the template name, please another group do not invoke it

  Parameters:
    `format` -
    `fileNameFmt` -

### getMailFileNameFmt

    public java.lang.String getMailFileNameFmt(int format)

  Only for inner group to store the template name, please another group do not invoke it

  Parameters:
    `format` - the attache file format
  Returns:
    the file of the attached file

### getMailFormat

    public boolean getMailFormat(int format)

  get the flag whether this format is mailbody or attached file

  Parameters:
    `format` - the file format, like as HTMLMAIL....RTFFILE
  Returns:
    true this format is one part of this mail

### getFileName

    public java.lang.String getFileName(int format)

  according to the format get the filename

  Parameters:
    `format` - the file format, like as HTMLMAIL....RTFFILE
  Returns:
    file name

### setMailFrom

    public void setMailFrom(java.lang.String from)

  Sets the mail address of the sender.

  Parameters:
    `from` - the address of the sender.

### getMailFrom

    public java.lang.String getMailFrom()

  Gets the mail address of the sender.

  Returns:
    the address of the sender.

### setMailTo

    public void setMailTo(java.lang.String rcpt)

  Sets the mail address of the recipient.

  Parameters:
    `rcpt` - the address of the recipient, split each address with "," or ";"

### getMailTo

    public java.lang.String getMailTo()

  Gets the mail address of the mail recipient.

  Returns:
    the address of the mail recipient.

### setCarbonCopy

    public void setCarbonCopy(java.lang.String cc)

  Sets the mail address of the carbon copy recipient.

  Parameters:
    `cc` - the address of the carbon copy recipient, split each address with "," or ";"

### getCarbonCopy

    public java.lang.String getCarbonCopy()

  Gets the mail address of the carbon copy recipient.

  Returns:
    the address of the carbon copy recipient.

### setBlindCarbonCopy

    public void setBlindCarbonCopy(java.lang.String bcc)

  Sets the mail address of the blind copy recipient.

  Parameters:
    `bcc` - the address of the blind copy recipient, split each address with "," or ";"

### getBlindCarbonCopy

    public java.lang.String getBlindCarbonCopy()

  Gets the mail address of the blind copy recipient.

  Returns:
    the address of the blind copy recipient.

### setComments

    public void setComments(java.lang.String comments)

  Sets text string for memoire.

  Parameters:
    `comments` - any text string for memoire

### getComments

    public java.lang.String getComments()

  Gets text string for memoire.

  Returns:
    any text string for memoire

### setSubject

    public void setSubject(java.lang.String subject)

  Sets the mail subject.

  Parameters:
    `subject` - the mail subject.

### getSubject

    public java.lang.String getSubject()

  Gets the mail subject.

  Returns:
    the mail subject.

### setArchiveCompress

    public void setArchiveCompress(boolean archiveCompress)

  Sets whether or not to compress mail attached by using java compress utilities.

  Parameters:
    `archiveCompress` - the compress attachment flag

### isArchiveCompress

    public boolean isArchiveCompress()

  Returns:
    true if the mail attached files need be compressed.

### setOtherAttachedFile

    public void setOtherAttachedFile(java.util.Vector other)

  set another file, like version file RST file

  Parameters:
    `other` - hold another attached file(s)

### isRSTFile

    public boolean isRSTFile()

  Identify whether the attached file include RST file or not

  Returns:
    true if the RST file as mail attached file
  Since:
    V8.0

### getRSTFileName

    public java.lang.String getRSTFileName()

  Get the rst file name

  Returns:
    attache Rst file name
  Since:
    V8.0

### setRSTFileName

    public void setRSTFileName(java.lang.String rstFileName)

  set the rst file name

  Parameters:
    `rstFileName` - the attached Rst file name
  Since:
    V8.0

### isCompressedRST

    public boolean isCompressedRST()

  get the flag that identify the RST file is compressed format or not

  Returns:
    true if need compress the Rst file

### setRstAsCompressed

    public void setRstAsCompressed(boolean isCompress)

  set the flag that export the report as compressed format

  Parameters:
    `isCompress` - the flag specify whether compress the Rst file or not

### getOtherAttachedFile

    public java.util.Vector getOtherAttachedFile()

  get another attached files

  Returns:
    other attached files

### setHtmlParameter

    public void setHtmlParameter(int type,
                                 HtmlParameter htmlParameter)

  Set the html parameter, it include the parameter when produce html file needed

  Parameters:
    `htmlParameter` - the parameter of produce the html file needed
    `type` - the type should be HTMLFILE or HTMLMAIL
  Since:
    V8.0
  See Also:
    `setHtmlParameter(int, String, HtmlParameter)`

### setHtmlParameter

    public void setHtmlParameter(int type,
                                 java.lang.String fileName,
                                 HtmlParameter htmlParameter)

  set the html parameter and the fileName

  Parameters:
    `type` - the type will HTMLFILE or HTMLMAIL
    `fileName` - the html fileName
    `htmlParameter` - the parameter of produce the html file needed
  Since:
    V8.0
  See Also:
    `HtmlParameter`

### getHtmlParameter

    public HtmlParameter getHtmlParameter(int type)

  get the html parameter, it include the parameter when produce html file needed

  Parameters:
    `type` - the type will HTMLFILE or HTMLMAIL
  Returns:
    the html parameter of this type

### setOverflowType

    public void setOverflowType(int overflowType)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method

  Sets the html text overflow type of the mail.

  Parameters:
    `overflowType` - html text overflow type
  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setChartappletHtml

    public void setChartappletHtml(boolean bChartApplet)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method

  Sets the format of the chart as applet or image in html file in mail, can not support this function

  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setMultiFileHtml

    public void setMultiFileHtml(boolean isMultiFile)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method

  Sets whether or not to generate multipage html file.

  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setTableFormatHtml

    public void setTableFormatHtml(boolean bUsingTable)

  Deprecated. this function have been removed it

  Since:
    V8 remove this function

### setHyperlink

    public void setHyperlink(boolean hyperlink)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method

  Sets whether or not to create hyperlink in a single page format html file.

  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setPageNumber

    public void setPageNumber(boolean pageno)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method

  Sets whether or not to display page number in a single page format html file.

  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setAbsoluteFontSize

    public void setAbsoluteFontSize(boolean absolute)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method

  Set the font size used in html file is absolute or relative.

  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setDrillDownHtml

    public void setDrillDownHtml(boolean bincdrilldownfile)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method

  Sets whether or not to generate drilldown files when exporting to html format.

  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setNoMarginHtml

    public void setNoMarginHtml(boolean noMarginHtml)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method

  Sets whether or not to generate margin when exporting to html format.

  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setBrowser

    public void setBrowser(int browser)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method

  The browser is ie or netscape. The value of parameter int browser must be one of the IE or NETSCAPE.

  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setHtmlResolution

    public void setHtmlResolution(int resolution)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method

  Set the resoution of html file to be created

  Parameters:
    `resolution` - the resolution value of html file.
  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setHtmlChartImageFormat

    public void setHtmlChartImageFormat(int chartImageFormatType)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) replace this method

  set the html chart image Format type

  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setTextParameter

    public void setTextParameter(TextParameter textParameter)

  Deprecated. please use this method setTextParamter(int, String, TextParameter) replace it

  set the Text parameter, it include the parameter when produce text file needed

  Parameters:
    `textParameter` - produce the text file needed parametere
  See Also:
    `setTextParameter(int, String, TextParameter)`

### setTextParameter

    public void setTextParameter(int format,
                                 java.lang.String fileName,
                                 TextParameter textParamter)

  set the text paramter and the file name

  Parameters:
    `format` - it sould be TXTMAIL or PLAINTXT
    `fileName` - the file name of the attached file
    `textParamter` - the need paramter which export to the report to text file note: If the format is not PLAINTXT or TXTMAIL, this method can not take affect
  Since:
    V8.2
  See Also:
    `PLAINTXT`, `TXTMAIL`, `TextParameter`

### setTextParameter

    public void setTextParameter(java.lang.String fileName,
                                 TextParameter textParameter)

  Deprecated. please use this method setTextParamter(int, String, TextParameter) replace it

  set the text parameter and the file name

  Parameters:
    `fileName` - the attached file name
    `textParameter` - produce the text file needed parameter
  See Also:
    `setTextParameter(int, String, TextParameter)`

### getTextParameter

    public TextParameter getTextParameter(int format)

  get the text parametr according to the format

  Parameters:
    `format` -
  Returns:
    the produce the text file parameter

### setForWindows

    public void setForWindows(boolean forWindows)

  Deprecated. please use setTextParameter(TextParameter) replace this method

  to indicate the platform on which the text file will be accessed.

  See Also:
    `setTextParameter(TextParameter)`

### setCharWidth

    public void setCharWidth(int udchWidth)

  Deprecated. please use setTextParameter(TextParameter) replace this method

  Sets the width for the unit that used to calculate the clearance between columns when exporting to text file.

  See Also:
    `setTextParameter(TextParameter)`

### setCharHeight

    public void setCharHeight(int udchHeight)

  Deprecated. please use setTextParameter(TextParameter) replace this method

  Sets the height for the unit that used to calculate the clearance between columns when exporting to text file.

  See Also:
    `setTextParameter(TextParameter)`

### setResolution

    public void setResolution(int resolution)

  Deprecated. please use setTextParameter(TextParameter) replace this method

  Sets the resolution for text file.

  See Also:
    `setTextParameter(TextParameter)`

### setCompressText

    public void setCompressText(boolean compress)

  Deprecated. please use setTextParameter(TextParameter) replace this method

  Sets whether or not to compress the exported text file by removing empty lines or redundant delimiters.

  See Also:
    `setTextParameter(TextParameter)`

### setRepeatText

    public void setRepeatText(boolean bRepeat)

  Deprecated. please use setTextParameter(TextParameter) replace this method

  Sets whether or not to repeat the same contents in the exported text file.

  See Also:
    `setTextParameter(TextParameter)`

### setQuoteMark

    public void setQuoteMark(boolean quoteMark)

  Deprecated. please use setTextParameter(TextParameter) replace this method

  Sets whether or not to keep the quote character in standard format text.

  See Also:
    `setTextParameter(TextParameter)`

### setKeepHeadFoot

    public void setKeepHeadFoot(boolean hasHeadFoot)

  Deprecated. please use setTextParameter(TextParameter) replace this method

  Sets whether or not to keep the header and footer in the exported text file.

  See Also:
    `setTextParameter(TextParameter)`

### setDelimiter

    public void setDelimiter(char delimiter)

  Deprecated. please use setTextParameter(TextParameter) replace this method

  Sets the delimiter used in the SDF(Standard Data Format) format text.

  See Also:
    `setTextParameter(TextParameter)`

### setPDFParameters

    public void setPDFParameters(PDFParameter pdfParameter)

  Set the pdf parameter, it include the parameter when produce pdf file needed

  Parameters:
    `pdfParameter` - produce the Pdf file needed parameter
  Since:
    V8.0
  See Also:
    `setPDFParameters(String, PDFParameter)`

### setPDFParameters

    public void setPDFParameters(java.lang.String fileName,
                                 PDFParameter pdfParameter)

  set the pdf parameter and the file name

  Parameters:
    `fileName` - the attached file name
    `pdfParameter` - produce the Pdf file needed parameter
  Since:
    V8.0
  See Also:
    `PDFParameter`

### getPDFParameters

    public PDFParameter getPDFParameters()

  get the pdf parameter, it include the parameter when produce pdf file needed

  Returns:
    the produce the Pdf file parameter

### setPdfPassword

    public void setPdfPassword(java.lang.String pdfPassword)

  Deprecated. please use setPDFParameters(PDFParameter) replace this method

  Sets the password of pdf file.

  Parameters:
    `pdfPassword` - the password string
  See Also:
    `setPDFParameters(PDFParameter)`

### setToc

    public void setToc(boolean bToc)

  Deprecated. please use setPDFParameters(PDFParameter) replace this method

  Parameters:
    `bToc` -
  See Also:
    `setPDFParameters(PDFParameter)`

### setDrill

    public void setDrill(boolean bDrill)

  Deprecated. please use setPDFParameters(PDFParameter) replace this method

  Parameters:
    `bDrill` -
  See Also:
    `setPDFParameters(PDFParameter)`

### setNoMarginPDF

    public void setNoMarginPDF(boolean noMarginPDF)

  Deprecated. please use setPDFParameters(PDFParameter) replace this method

  Sets whether or not to have page margin in the exported PDF file.

  See Also:
    `setPDFParameters(PDFParameter)`

### setPrintModePDF

    public void setPrintModePDF(boolean isPrintMode)

  Deprecated. please use setPDFParameters(PDFParameter) replace this method

  Sets whether or not to generate the pdf file using simulated print mode.

  See Also:
    `setPDFParameters(PDFParameter)`

### setTransparentImage

    public void setTransparentImage(boolean isTransparent)

  Deprecated. please use setPDFParameters(PDFParameter) replace this method

  Sets whether or not to generate the pdf file keeping transparent gif image.

  See Also:
    `setPDFParameters(PDFParameter)`

### setCompressImage

    public void setCompressImage(int isCompressImage)

  Deprecated. please use setPDFParameters(PDFParameter) replace this method

  Sets the compress rate of the image when exporting to PDF file.

  See Also:
    `setPDFParameters(PDFParameter)`

### setPSParameter

    public void setPSParameter(PSParameter psParameter)

  set the ps parameter, it include the parameter when produce ps file needed

  Parameters:
    `psParameter` - produce the Postscript file needed parameter
  Since:
    V8.0
  See Also:
    `setPSParameter(String, PSParameter)`

### setPSParameter

    public void setPSParameter(java.lang.String fileName,
                               PSParameter psParameter)

  set the ps parameter and the fileName

  Parameters:
    `fileName` - the attached file name
    `psParameter` - produce the Postscript file needed parameter
  Since:
    V8.0
  See Also:
    `PSParameter`

### getPSParameter

    public PSParameter getPSParameter()

  get the ps parameter, it include the parameter when produce ps file needed

  Returns:
    the produce the ps file parameter

### setNoMarginPS

    public void setNoMarginPS(boolean noMarginPS)

  Deprecated. please use setPSParameter(PSParameter) replace this method

  Sets whether or not to have page margin in the exported Post Script file.

  See Also:
    `setPSParameter(PSParameter)`

### setRtfParameter

    public void setRtfParameter(RtfParameter rtfParameter)

  set the rtf parameter, it include the parameter when produce rtf file needed

  Parameters:
    `rtfParameter` - produce the Rtf file needed parameter
  Since:
    V8.0
  See Also:
    `setRtfParameter(String, RtfParameter)`

### setRtfParameter

    public void setRtfParameter(java.lang.String fileName,
                                RtfParameter rtfParameter)

  set the rtf parameter and the file name

  Parameters:
    `fileName` - the attached file name
    `rtfParameter` - produce the Rtf file needed parameter
  Since:
    V8.0
  See Also:
    `RtfParameter`

### getRtfParameter

    public RtfParameter getRtfParameter()

  get the rtf parameter, it include the parameter when produce rtf file needed

  Returns:
    the produce the Rtf file parameter

### setNoMarginRTF

    public void setNoMarginRTF(boolean noMarginRTF)

  Deprecated. please use setRtfParameter(RtfParameter) replace this method

  Sets whether or not to have page margin in the exported RTF file.

  See Also:
    `setRtfParameter(RtfParameter)`

### setXmlParameter

    public void setXmlParameter(XmlParameter xmlParameter)

  set the xml parameter, it include the parameter when produce xml file needed

  Parameters:
    `xmlParameter` -
  Since:
    V8.0
  See Also:
    `XmlParameter`

### setXmlParameter

    public void setXmlParameter(java.lang.String fileName,
                                XmlParameter xmlParameter)

  set the xml parameter and the fileName

  Parameters:
    `fileName` - the attached file name
    `xmlParameter` - prduce the xml needed parameter
  Since:
    V8.0
  See Also:
    `setXmlParameter(String, XmlParameter)`

### getXmlParameter

    public XmlParameter getXmlParameter()

  get the xml parameter, it include the parameter when produce xml file needed

  Returns:
    get the produce the xml file parameter

### setOnlyDataXML

    public void setOnlyDataXML(boolean isOnlyData)

  Deprecated. please use setXmlParameter(XmlParameter) replace this method

  Sets whether or not to contain only data in the exported XML file.

  See Also:
    `setXmlParameter(XmlParameter)`

### setXSDFile

    public boolean setXSDFile(java.lang.String xsdFile)

  Deprecated. please use setXmlParameter(XmlParameter) replace this method

  Parameters:
    `xsdFile` -
  Returns:
  See Also:
    `setXmlParameter(XmlParameter)`

### setExcelParameter

    public void setExcelParameter(ExcelParameter excelParameter)

  set the excel parameter, it include the parameter when produce excel file needed

  Parameters:
    `excelParameter` - produce the excel needed parameter
  Since:
    V8.0
  See Also:
    `setExcelParameter(String, ExcelParameter)`

### setExcelParameter

    public void setExcelParameter(java.lang.String filename,
                                  ExcelParameter excelParameter)

  set the filename and its parameter to the excel file

  Parameters:
    `filename` - the attached file name
    `excelParameter` - produce the excel needed parameter
  Since:
    V8.0
  See Also:
    `ExcelParameter`

### getExcelParameter

    public ExcelParameter getExcelParameter()

  get the excel parameter, it include the parameter when produce excel file needed

  Returns:
    ExcelParameter that hold all parameters that export to excel file needed

### setIsBiff8

    public void setIsBiff8(boolean isBiff8)

  Deprecated. please use setExcelParameter(ExcelParameter) replace this method

  set the excel file is biff8 or not

  Parameters:
    `isBiff8` -
  See Also:
    `setExcelParameter(ExcelParameter)`

### setWordWrap

    public void setWordWrap(int isWordWrap)

  Deprecated. please use setExcelParameter(ExcelParameter) replace this method

  set excel word wrap type

  See Also:
    `setExcelParameter(ExcelParameter)`

### setExcelParam

    public void setExcelParam(int param)

  Deprecated. please use setExcelParameter(ExcelParameter) replace this method

  Sets whether or not export geometry object to excel file.

  See Also:
    `setExcelParameter(ExcelParameter)`

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Sets the encoding of the mail.

  Parameters:
    `encoding` - encoding name NOTICE: if the encoding in communicator isn't null will can not use it

### getEncoding

    public java.lang.String getEncoding()

  Gets the encoding of the mail.

  Returns:
    the encoding of the mail.

### setFolder

    public void setFolder(java.lang.String folder)

  Sets the path saved files.

  Parameters:
    `folder` - directory name Note: If you invoke this method to give the folder, we would produce the file(s) to it and store it

### getFolder

    public java.lang.String getFolder()

  Gets the directory of saved files.

  Returns:
    the directory String.

### setFilename

    public void setFilename(java.lang.String filename)

  Sets the compressed attached file name

  Parameters:
    `filename` - file name without extend

### getFilename

    public java.lang.String getFilename()

  Gets the compressed filename

  Returns:
    the filename String.

### setFilenameFmt

    public void setFilenameFmt(java.lang.String filenameFmt)

  for server store the zip(template) name

  Parameters:
    `filenameFmt` - the comprss attached file name if need compress the attached the file

### getFilenameFmt

    public java.lang.String getFilenameFmt()

  for server store the zip(template) name

  Returns:
    get the compress attached file name

### setLimitSize

    public void setLimitSize(long smtpMaxSize)

  Sets the total limited file length, if the length of all attached files is greater than the specify value, the files will not be sent out.

  Parameters:
    `smtpMaxSize` - specify the max value of attached files's length, its unit is K

### getLimitSize

    public long getLimitSize()

  Gets the limited file length

  Returns:
    max value

### setURL

    public void setURL(java.lang.String url)

  Deprecated. This method is not used, now. Next version will remove it. If you have some question, please contact with sales

  Parameters:
    `url` -

### getURL

    public java.lang.String getURL()

  Deprecated. This method is not used, now. Next version will remove it. If you have some question, please contact with sales

  Returns:

### setSendNotice

    public void setSendNotice(boolean bSendNotice)

  Indicates that whether send a mail to notice user or not

  Parameters:
    `bSendNotice` - if notice user, set true; otherwise, false

### isSendNotice

    public boolean isSendNotice()

  Gets that whether send a mail to notice user

  Returns:
    true, notice the user when send the mail successfully

### setSentMail

    public void setSentMail(boolean isMailSend)

  Indicates that whether has sent the mail with attachment.

  Parameters:
    `isMailSend` - if notice user, set true; otherwise, false

### isSentMail

    public boolean isSentMail()

  Gets that whether has sent the mail with attachment

  Returns:
    true if send mail with attachment; otherwise, false

### clear

    public void clear()

  clear another file instance

### copy

    public MailInformation copy()

  Add this method for server group invoke it

  Returns:
    this object clone
  Since:
    V8.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD